<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\AdminDetails;
use Illuminate\Http\Request;

class AdminDetailsController extends Controller
{
    public function index()
    {
        $settings = AdminDetails::all();
        return view('admin.setting.settings', compact('settings'));
    }
    public function update(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'phone' => 'required|digits:10',
            'address' => 'required',
            'state' => 'required',
            'city' => 'required',
            'pincode' => 'required',
        ]);

        $details = AdminDetails::first();

        if ($details) {
            $details->update([
                'name' => $request->name,
                'email' => $request->email,
                'phone' => $request->phone,
                'address' => $request->address,
                'state' => $request->state,
                'city' => $request->city,
                'pincode' => $request->pincode,
            ]);
        } else {
            AdminDetails::create([
                'name' => $request->name,
                'email' => $request->email,
                'phone' => $request->phone,
                'address' => $request->address,
                'state' => $request->state,
                'city' => $request->city,
                'pincode' => $request->pincode,
            ]);
        }

        return redirect()->route('admin.settings')->with('success', 'Admin Details Updated Successfully');
    }
}
