<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CartItem extends Model
{
    use HasFactory;
    protected $fillable = [
        'cart_id',
        'product_id',
        'quantity',
        'sku',
        'name',
        'coupon_code',
        'price',
        'total_amount',
        'tax_percent',
        'tax_amount'
    ];

    protected $with = [
        'product',
    ];

    public function cart()
    {
        return $this->belongsTo(Cart::class);
    }
    

    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}
