<?php

namespace App\View\Components\Admin;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class Sidebar extends Component
{
    /**
     * Create a new component instance.
     */
    public $menus = [
        [
            'name' => 'Dashboard',
            'id' => 'dashboard',
            'icon' => 'bx bx-grid-alt',
            'route' => 'admin.dashboard',
            'is_submenu' => false,
        ],
        [
            'name' => 'Categories',
            'id' => 'categories',
            'icon' => 'fal fa-clipboard-list',
            'route' => 'admin.categories',
            'is_submenu' => false,
        ],
        [
            'name' => 'SuperAdmin',
            'id' => 'superadmin',
            'icon' => 'fa fa-user-tie',
            'route' => 'admin.superadmin',
            'is_submenu' => false,
        ],
        [
            'name' => 'Products',
            'id' => 'products',
            'icon' => 'fal fa-boxes-alt',
            'route' => 'admin.products',
            'is_submenu' => false,
        ],
        [
            'name' => 'Orders',
            'id' => 'orders',
            'icon' => 'fal fa-box-alt',
            'route' => 'admin.orders',
            'is_submenu' => false,
        ],

        [
            'name' => 'Brands',
            'id' => 'brands',
            'icon' => 'fab fa-btc',
            'route' => 'admin.brands',
            'is_submenu' => false,
        ],
        [
            'name' => 'Settings',
            'id' => 'settings',
            'icon' => 'fa fa-cog', // Font Awesome settings icon
            'route' => 'admin.settings',
            'is_submenu' => false,
        ],
        [
            'name' => 'Customers',
            'id' => 'customers',
            'icon' => 'fal fa-light fa-user-tie',
            'route' => 'admin.customers',
            'is_submenu' => false,

        ],
        [
            'name' => 'CMS',
            'id' => 'cms',
            'icon' => 'fal fa-file-alt',
            'route' => 'admin.customers',
            'is_submenu' => true,
            'sub_menus' => [
                [
                    'name' => 'pages',
                    'id' => 'pages',
                    'icon' => 'fal fa-file-alt',
                    'route' => 'admin.pages',
                ],
                [
                    'name' => 'Tax',
                    'id' => 'tax',
                    'icon' => 'fal fa-solid fa-file',
                    'route' => 'admin.tax',
                ],
                [
                    'name' => 'Variants',
                    'id' => 'variants',
                    'icon' => 'fal fa-solid fa-file',
                    'route' => 'admin.variants',
                ],


            ],

        ],
        [
            'name' => 'Enquiries',
            'id' => 'Enquiries',
            'icon' => 'fal fa-solid fa-list',
            'route' => 'admin.enquiries',
            'is_submenu' => false,
        ],
        [
            'name' => 'Newsletters',
            'id' => 'Newsletters',
            'icon' => 'fal fa-solid fa-newspaper',
            'route' => 'admin.newsletters',
            'is_submenu' => false,
        ],
        [
            'name' => 'Product Bulk-upload',
            'id' => 'products',
            'icon' => 'fal fa-boxes-alt',
            'route' => 'admin.bulkuploads',
            'is_submenu' => false,
        ],
        [
            'name' => 'Customer Bulk-upload',
            'id' => 'customer',
            'icon' => 'fal fa-boxes-alt',
            'route' => 'admin.customer.bulkuploads',
            'is_submenu' => false,
        ]
    ];

    public function __construct()
    {
        //
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.admin.sidebar');
    }
}
