<x-admin-layout>
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-12">
                <div class="page-header">
                    <div class="row mb-3">
                        <div class="col-lg-4 ">
                            <h3>Order #{{ $order->id }}</h3>
                        </div>
                        <div class="col-lg-8 d-flex justify-content-end">
                            {{-- <a href="{{route('invoice.print',$order->id)}}" class="btn btn-danger text-white">Print</a> --}}
                        </div>
                    </div>
                    <div class="accordion" id="accordionExample">
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
                                    Order and Account
                                </button>
                            </h2>
                            <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne"
                                data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <div class="row">
                                        <div class="col-lg-6">
                                            <div class="secton-title p-2 fw-semibold fs-5 bg-light">
                                                <span>Customer Details</span>
                                            </div>
                                            <table class="table">
                                                <tbody>
                                                    <tr>
                                                        <td> Company Name </td>
                                                        <td>{{ $order->company_name }}
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td> Customer Name </td>
                                                        <td>{{ $order->customer_name }}
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td> Phone</td>
                                                        <td> {{ $order->customer?->phone }}</td>
                                                    </tr>
                                                    <tr>
                                                        <td> Email</td>
                                                        <td> {{ $order->customer?->email }}</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                        <div class="col-lg-6">
                                            <div class="secton-title p-2 fw-semibold fs-5  bg-light">
                                                <span>Order Information</span>
                                            </div>
                                            <table class="table">
                                                <tbody>
                                                    <tr>
                                                        <td> Order Date </td>
                                                        <td>{{ $order->created_at->format('Y-m-d H:i:s A') }}
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td> Order Status</td>
                                                        <td> {{ $order->status }}</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="accordion-item">
                            <h2 class="accordion-header" id="headingFour">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                                    Products Ordered
                                </button>
                            </h2>
                            <div id="collapseFour" class="accordion-collapse collapse show"
                                aria-labelledby="headingFour" data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th scope="col">Sl</th>
                                                <th scope="col">images</th>
                                                <th scope="col">Product Name</th>
                                                <th scope="col">SKU</th>
                                                <th scope="col">Quantity</th>
                                                <th scope="col">Price</th>
                                                <th scope="col">Discounted Price</th>
                                                <th scope="col">Grand Total</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach ($order->items as $key => $item)
                                                <tr>
                                                    <td>{{ $key + 1 }}</td>
                                                    <td>
                                                        @if (count($item->product->images))
                                                            <img src="{{ asset($item->product->images[0]->image_url) }}"
                                                                width="70px" height="70px">
                                                        @else
                                                            <img src="{{ asset('frontend/assets/images/cash-carry.png') }}"
                                                                class="img-fluid product-thumb">
                                                        @endif
                                                    </td>
                                                    <td>{{ $item->name }}</td>
                                                    <td>{{ $item->sku }}</td>
                                                    <td id="quantity-{{ $item->id }}">{{ $item->quantity }}</td>
                                                    <!-- Add ID for quantity -->
                                                    <td class="price" id="price-{{ $item->id }}">
                                                        ${{ number_format($item->price ?? 0, 2) }}
                                                    </td>
                                                    <td>
                                                        <input type="number"
                                                            class="form-control form-control-sm discount-input"
                                                            name="discount[{{ $item->id }}]"
                                                            value="{{ $item->discount ?? 0 }}" min="0"
                                                            style="width: 100px;" data-item-id="{{ $item->id }}"
                                                            data-price="{{ $item->price }}">
                                                    </td>
                                                    <td class="total-price" id="total-{{ $item->id }}">
                                                        ${{ $item->total_amount ?? 0 }}
                                                    </td>

                                                </tr>
                                            @endforeach
                                        </tbody>

                                    </table>
                                    <div class="sale-summary">
                                        <table class="table table-striped">
                                            <tbody>
                                                <tr>
                                                    <td>Subtotal</td>
                                                    <td>-</td>
                                                    <td class="width150" id="subtotal">
                                                        ${{ number_format($order->total_amount ?? 0, 2) }}
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Tax </td>
                                                    <td>-</td>
                                                    <td> ${{ number_format($order->tax_total ?? 0, 2) }}
                                                    </td>
                                                </tr>
                                                {{-- <tr>
                                                    <td>Discount </td>
                                                    <td>-</td>
                                                    <td> ${{ number_format($order->discount_amount ?? 0, 2) }}
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>Delivery Charge </td>
                                                    <td>-</td>
                                                    <td> ${{ number_format($order->delivery_charge ?? 0, 2) }}
                                                    </td>
                                                </tr> --}}
                                                <tr class="fw-bold pt-2">
                                                    <td>Grand Total</td>
                                                    <td>-</td>
                                                    <td id="grand-total">
                                                        ${{ number_format($order->grand_total ?? 0, 2) }}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="d-flex justify-content-end mt-3">
                                        <button id="update-order-btn" class="btn btn-primary">Update Order</button>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            document.querySelectorAll('.discount-input').forEach(function(input) {
                input.addEventListener('input', function() {
                    var itemId = this.dataset.itemId;
                    var originalPrice = parseFloat(this.dataset.price);
                    var discount = parseFloat(this.value) || 0; // Changed to 0 if null

                    var quantityElement = document.querySelector(`#quantity-${itemId}`);

                    if (quantityElement) {
                        var quantity = parseInt(quantityElement.innerText);

                        var totalPrice = (discount > 0) ? discount * quantity : originalPrice *
                            quantity;

                        var formattedTotal = totalPrice.toFixed(2);

                        document.querySelector(`#total-${itemId}`).innerText = `$${formattedTotal}`;

                        calculateTotals();
                    } else {
                        console.error(`Quantity element not found for item ID: ${itemId}`);
                    }
                });
            });

            document.getElementById('update-order-btn').addEventListener('click', function() {
                var discounts = {};
                document.querySelectorAll('.discount-input').forEach(function(input) {
                    var itemId = input.dataset.itemId;
                    var discount = parseFloat(input.value) || 0;
                    discounts[itemId] = discount;
                });

                var orderId = "{{ $order->id }}";

                fetch(`{{ route('admin.order.updatediscount', $order->id) }}`, {
                        method: 'POST',
                        headers: {
                            'Content-Type': 'application/json',
                            'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]')
                                .getAttribute('content')
                        },
                        body: JSON.stringify({
                            discounts: discounts
                        })
                    })
                    .then(response => response.json())
                    .then(data => {
                        if (data.success) {
                            alert('Order updated successfully.');
                            // Optionally, reload the page or update the display
                        } else {
                            alert('Failed to update order.');
                        }
                    })
                    .catch(error => {
                        console.error('Error:', error);
                        alert('An error occurred while updating the order.');
                    });
            });

            function calculateTotals() {
                var subtotal = 0;
                var grandTotal = 0;

                document.querySelectorAll('.total-price').forEach(function(priceElement) {
                    var price = parseFloat(priceElement.innerText.replace('$', ''));
                    grandTotal += price;
                });

                // Calculate subtotal (assuming subtotal is just the sum of prices, adjust if needed)
                subtotal = grandTotal;

                document.querySelector('#subtotal').innerText = `$${subtotal.toFixed(2)}`;
                document.querySelector('#grand-total').innerText = `$${grandTotal.toFixed(2)}`;
            }
        });
    </script>
</x-admin-layout>
