<x-admin-layout>
    <div class="main">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header px-0">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <h3>Order List</h3>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 mt-4">
                    <div class="form-card">
                        <div class="row mb-2">
                            <div class="col-lg-5 my-auto text-end ms-auto">
                                <a href="{{ route('admin.order.export') }}" class="add-btn border-0 bg-info text-white">
                                    Export</a>
                                <a href="{{ route('admin.order.create') }}" class="add-btn bg-success text-white">
                                    Add
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    @php
                        $columns = [
                            ['label' => 'Id', 'column' => 'id', 'sort' => true],
                            ['label' => 'Image', 'column' => 'image', 'sort' => false],
                            ['label' => 'Company Name', 'column' => 'company_name', 'sort' => true],
                            ['label' => 'Customer Name', 'column' => 'customer_name', 'sort' => true],
                            ['label' => 'Customer Phone', 'column' => 'phone', 'sort' => true],
                            ['label' => 'Total Product', 'column' => 'email', 'sort' => true],
                            ['label' => 'Total Amount', 'column' => 'status', 'sort' => true],
                            ['label' => 'Tax', 'column' => 'status', 'sort' => true],
                            ['label' => 'Grand Total', 'column' => 'status', 'sort' => true],
                            ['label' => 'Actions', 'column' => 'action', 'sort' => false],
                        ];
                    @endphp

                    <x-utility.table :columns="$columns" :data="$orders" :checkAll=true :route="route('admin.orders')">
                        @foreach ($orders as $key => $item)
                            <tr>
                                <td>
                                    <input type="checkbox" name="" class="checkinput"
                                        value="{{ $item->id }}">
                                </td>
                                <td>{{ $item->id }}</td>
                                <td>
                                    @if ($item->items->isNotEmpty() && $item->items[0]->product && $item->items[0]->product->images->isNotEmpty())
                                        <img src="{{ asset($item->items[0]->product->images[0]->image_url) }}"
                                            width="70px" height="70px">
                                    @else
                                        <img src="{{ asset('frontend/assets/images/cash-carry.png') }}"
                                            class="img-fluid product-thumb">
                                    @endif
                                </td>
                                <td>{{ $item->company_name }}</td>
                                <td>{{ $item->customer_name }}</td>
                                <td>{{ $item->customer?->phone }}</td>
                                <td>{{ $item->total_product }}</td>
                                <td>{{ $item->total_amount }}</td>
                                <td>{{ $item->tax }}</td>
                                <td>{{ $item->grand_total }}</td>
                                {{-- <td>{{$item->products->count()}}</td> --}}
                                <td>
                                    <a href="{{ route('admin.order.details', $item->id) }}">
                                        <i class="fas fa-eye" aria-hidden="true"></i>
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                    </x-utility.table>
                </div>
            </div>
        </div>
    </div>
</x-admin-layout>
@push('scripts')
    <script>
        $('.deleteRecord').on('click', function() {
            var id = $(this).data('id');
            if (confirm('Are you sure you want to delete this?')) {
                $(`#${id}`).submit();
            }
        });
    </script>
@endpush
