@extends('frontend.layout.applayout')
@section('title', 'Contact-us')
@section('main-content')
    <div class="container py-5">
        <div class="row mb-5">
            <div class="col-lg-12 text-center">
                <h1>Contact Us</h1>
            </div>
        </div>

        <div class="row bg-light p-4 rounded">
            <div class="col-lg-6 col-md-6 mb-4">
                <div class="contact_wrapper">
                    <h5>Hours Of Operations</h5>
                    <p><strong>Monday-Friday:</strong> 07:00 AM - 07:00 PM</p>
                    <p><strong>Saturday:</strong> 09:00 AM - 05:00 PM</p>
                    <p><strong>Sunday:</strong> 09:00 AM - 05:00 PM</p>
                </div>

                <div class="contact_wrapper mt-4">
                    <h5>Address</h5>
                    <address>
                        <strong>Address:</strong> {{ $setting->address }}<br>
                        <strong>Email:</strong> <a href="mailto:{{ $setting->email }}">{{ $setting->email }}</a><br>
                        <strong>Tel:</strong> <a href="tel:{{ $setting->phone }}">+{{ $setting->phone }}</a>
                    </address>
                </div>
            </div>

            <div class="col-lg-6 col-md-6">
                <div class="contact_wrapper_1">
                    <h4>Write Us</h4>
                    <p>Write us a note and we’ll get back to you as quickly as possible.</p>
                    <form action="{{ route('guest.contact-us') }}" method="POST">
                        @csrf
                        <div class="form-group mb-3">
                            <label for="name">Name <span class="text-danger">*</span></label>
                            <input type="text" id="name" name="name" class="form-control"
                                placeholder="Enter your name" required>
                            @error('name')
                                <span style="color: red; font-size:13px;">{{ $message }}</span>
                            @enderror
                        </div>

                        <div class="form-group mb-3">
                            <label for="email">Email <span class="text-danger">*</span></label>
                            <input type="email" id="email" name="email" class="form-control"
                                placeholder="Enter your email" required>

                        </div>

                        <div class="form-group mb-3">
                            <label for="phone">Phone <span class="text-danger">*</span></label>
                            <input type="text" id="phone" name="phone" class="form-control"
                                placeholder="Enter your phone number" minlength="10" maxlength="15"
                                oninput="this.value = this.value.replace(/\D/g, '')" required>
                            @error('phone')
                                <span style="color: red; font-size:13px;">{{ $message }}</span>
                            @enderror
                        </div>

                        <div class="form-group mb-3">
                            <label for="message">What’s on your mind? <span class="text-danger">*</span></label>
                            <textarea name="message" id="message" class="form-control" rows="4" placeholder="Your message" required></textarea>
                        </div>

                        <div class="text-center">
                            <button type="submit" class="btn btn-primary px-5">Submit <i
                                    class="bx bx-right-arrow-alt"></i></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection
