<section class="sec_padding pb-0 product_sec">
    <div class="container">
        <div class="row mb-4">
            <div class="col-lg-12 text-center">
                <h1 class="sec-title">Our Products</h1>
                <p class="">
                    Lorem ipsum is simply free text available dolor sit amet, consectetur notted adipisicing
                    <br>
                    elit sed do eiusmod tempor incididunt simply free ut labore et dolore magna aliqua.
                </p>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 mx-auto">
                <ul class="nav nav-pills mb-3 justify-content-center" id="pills-tab" role="tablist">
                    @foreach ($top_categories->take(6) as $index => $category)
                        <li class="nav-item" role="presentation">
                            <button class="nav-link {{ $index == 0 ? 'active' : '' }}"
                                id="pills-{{ $category->id }}-tab" data-bs-toggle="pill"
                                data-bs-target="#pills-{{ $category->id }}" type="button" role="tab"
                                aria-controls="pills-{{ $category->id }}"
                                aria-selected="{{ $index == 0 ? 'true' : 'false' }}">
                                {{ $category->name }}
                            </button>
                        </li>
                    @endforeach
                </ul>

                <div class="tab-content" id="pills-tabContent">
                    @foreach ($top_categories->take(6) as $index => $category)
                        <div class="tab-pane fade {{ $index == 0 ? 'show active' : '' }}" id="pills-{{ $category->id }}"
                            role="tabpanel" aria-labelledby="pills-{{ $category->id }}-tab">

                            <div class="products_list_box justify-content-center">
                                @forelse ($category->products as $product)
                                    <div class="item">
                                        <div class="prd-box">
                                            <span class="prd-img">
                                                @if (count($product->images))
                                                    <a
                                                        href="{{ route('productByCategory', $product->id) . '?sku=' . $product->sku }}">

                                                        <img src="{{ asset($product->images[0]->image_url) }}"
                                                            class="img-fluid">
                                                    </a>
                                                @else
                                                    <a
                                                        href="{{ route('productByCategory', $product->id) . '?sku=' . $product->sku }}">
                                                        <img src="{{ asset('frontend/assets/images/cash-carry.png') }}"
                                                            class="img-fluid product-thumb">
                                                    </a>
                                                @endif
                                            </span>
                                            <div class="prd-desc">
                                                <span class="brand_name"> <b>Brand:</b>
                                                    {{ $product->brand_name->name ?? 'N/A' }}</span>
                                                <span class="d-block prd-name">
                                                    <a
                                                        href="{{ route('productByCategory', $product->id) . '?sku=' . $product->sku }}">
                                                        {{ $product->name }}
                                                    </a>
                                                </span>
                                            </div>
                                            @if (Auth::guard('customer')->check())
                                                <div class="product_grid_pricing d-flex">
                                                    <p class="pe-2 mb-1" style="color: rgb(79, 71, 173)">Price</p>

                                                    <span
                                                        class="price">${{ number_format($product->price ?? 0, 2) }}</span>
                                                </div>
                                            @endif
                                            <div class="detail-addtocart">
                                                <div class="number">
                                                    <div class="input-group">
                                                        <a data-id="{{ $product->id }}" type="button"
                                                            class="d-flex justify-content-center align-items-center button-plus qtyDecrement">-</a>
                                                        <input type="text" step="1" max=""
                                                            value="1" name="quantity"
                                                            id="quantity-{{ $product->id }}"
                                                            class="quantity-field quantity-{{ $product->id }}">
                                                        <a data-id="{{ $product->id }}" type="button"
                                                            class="d-flex justify-content-center align-items-center button-minus qtyIncrement">+</a>
                                                    </div>
                                                    <a class="add_to_cart addToCart" data-id="{{ $product->id }}"><i
                                                            class='bx bx-cart-add'></i>
                                                        Add</a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @empty
                                    <p>No products available in this category.</p>
                                @endforelse
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
        <div class="btn_wrapper text-center">
            <a href="{{ route('guest.productlists') }}" class="view-all">View All Products<i
                    class='bx bx-right-arrow-alt'></i></a>
        </div>
    </div>
</section>
